## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup, echo = FALSE, message = FALSE-------------------------------------
library(pacta.loanbook)

plot_table <- function(dataset_name) {
  table <- data_dictionary
  table <- dplyr::filter(table, .data[["dataset"]] == dataset_name)
  table_plot <- gt::gt(dplyr::select(table, -"dataset"))
  
  table_plot <- 
    gt::cols_width(
      .data = table_plot,
      column ~ gt::px(150),
      typeof ~ gt::px(90)
    )
  
  table_plot <-
    gt::tab_style(
      data = table_plot,
      style = gt::cell_text(size = "smaller"),
      locations = gt::cells_body(columns = 1:2)
    )
  
  table_plot <-
    gt::tab_options(
      data = table_plot,
      ihtml.active = TRUE,
      ihtml.use_pagination = FALSE,
      ihtml.use_sorting = TRUE,
      ihtml.use_highlight = TRUE
    )
  
  gt::fmt_passthrough(table_plot)
}

## ----echo = FALSE-------------------------------------------------------------
plot_table("match_name_output")

## ----echo = FALSE-------------------------------------------------------------
plot_table("prioritize_output")

## ----echo = FALSE-------------------------------------------------------------
plot_table("target_market_share_output")

## ----R.options = list(width = 400)----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
market_share

## ----echo = FALSE-------------------------------------------------------------
plot_table("target_sda_output")

## ----R.options = list(width = 400)----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
sda

## ----echo = FALSE-------------------------------------------------------------
plot_table("prep_techmix_output")

## ----echo = FALSE-------------------------------------------------------------
plot_table("prep_emission_intensity_output")

## ----echo = FALSE-------------------------------------------------------------
plot_table("prep_trajectory_output")

